## grass 7.6.0

=== Makefile ===
#############################################################################
#
# MODULE:   	GRASS Compilation
# AUTHOR(S):	Original author unknown - probably CERL
#   	    	Justin Hickey - Thailand - jhickey AT hpcc.nectec.or.th
#   	    	Markus Neteler - Germany - neteler AT itc.it
#   	    	Andreas Lange - Germany - Andreas.Lange AT Rhein-Main.de
#   	    	Radim Blazek - Italy - blazek AT itc.it
# PURPOSE:  	It provides the commands necessary to compile, install,
#   	    	clean, and uninstall GRASS
#   	    	See INSTALL file for explanations.
# COPYRIGHT:    (C) 2002-2012 by the GRASS Development Team
#
#               This program is free software under the GNU General Public
#   	    	License (>=v2). Read the file COPYING that comes with GRASS
#   	    	for details.
#
#############################################################################

MODULE_TOPDIR = .

include $(MODULE_TOPDIR)/include/Make/Dir.make
include $(MODULE_TOPDIR)/include/Make/Compile.make

DATE := $(shell date '+%d_%m_%Y')

DIRS = \
	demolocation \
	tools \
	include \
	lib \
	db \
	display \
	general \
	raster \
	raster3d \
	vector \
	misc \
	imagery \
	ps \
	scripts \
	temporal \
	doc \
	gui \
	visualization \
	locale \
	man \
	macosx \
	mswindows

SUBDIRS = $(DIRS)

FILES = AUTHORS CHANGES CITING COPYING GPL.TXT INSTALL REQUIREMENTS.html contributors.csv contributors_extra.csv translators.csv
FILES_DST = $(patsubst %,$(ARCH_DISTDIR)/%,$(FILES))

default:
	@echo "GRASS GIS $(GRASS_VERSION_MAJOR).$(GRASS_VERSION_MINOR).$(GRASS_VERSION_RELEASE) $(GRASS_VERSION_SVN) compilation log" \
		> $(ERRORLOG)
	@echo "--------------------------------------------------" >> $(ERRORLOG)
	@echo "Started compilation: `date`"                        >> $(ERRORLOG)
	@echo "--"                                                 >> $(ERRORLOG)
	@echo "Errors in:"                                         >> $(ERRORLOG)
	-$(CHMOD) 755 install-sh
	$(MAKE) subdirs
	$(MAKE) $(FILES_DST)
	$(MAKE) manifests
	@if [ `wc -l < "$(ERRORLOG)"` -gt 5 ] ; then \
		echo "--"     >> $(ERRORLOG) ; \
		echo "In case of errors please change into the directory with error and run 'make'." >> $(ERRORLOG) ; \
		echo "If you get multiple errors, you need to deal with them in the order they"      >> $(ERRORLOG) ; \
		echo "appear in the error log. If you get an error building a library, you will"     >> $(ERRORLOG) ; \
		echo "also get errors from anything which uses the library."  >> $(ERRORLOG) ; \
	else \
		echo "No errors detected." >> $(ERRORLOG) ; \
	fi
	@echo "--"  >> $(ERRORLOG)
	@echo "Finished compilation: `date`" >> $(ERRORLOG)
	@cat $(ERRORLOG)
	@if [ `wc -l < "$(ERRORLOG)"` -gt 8 ] ; then false ; else true ; fi

manifests:
ifeq ($(MANIFEST),external)
	find $(ARCH_DISTDIR) -type f -name '*.exe' | \
	while read file ; do \
	    $(MAKE) "$$file".manifest ; \
	done
endif

$(ARCH_DISTDIR)/%: %
	$(INSTALL_DATA) $< $@

LIBDIRS = \
	lib/external/shapelib \
	lib/datetime \
	lib/gis \
	lib/linkm \
	lib/db \
	lib/vector \
	db/drivers \
	lib/python

# Compile libraries only
libs:
	$(MAKE) -C include
	$(MAKE) subdirs SUBDIRS=$(LIBDIRS)
	$(MAKE) $(FILES_DST)

cleandistdirs: 
	-rm -rf $(ARCH_DISTDIR)
	-rm -rf $(ARCH_BINDIR)

# Clean out the strings extracted from scripts for translation
cleanscriptstrings:
	rm -f locale/scriptstrings/*.c 2>/dev/null

clean: cleandistdirs cleanscriptstrings cleandocs

libsclean: cleandistdirs
	$(MAKE) clean-recursive SUBDIRS=$(LIBDIRS)

distclean: clean
	-rm -f config.cache config.log config.status config.status.$(ARCH) 2>/dev/null
	-rm -f ChangeLog ChangeLog.bak $(ERRORLOG) grass.pc
	-rm -f include/config.h include/version.h
	-rm -f include/Make/Platform.make include/Make/Doxyfile_arch_html include/Make/Doxyfile_arch_latex 2>/dev/null

include $(MODULE_TOPDIR)/include/Make/Install.make
include $(MODULE_TOPDIR)/include/Make/Docs.make
include $(MODULE_TOPDIR)/include/Make/Doxygen.make
include $(MODULE_TOPDIR)/include/Make/Sphinx.make

DOXNAME=grass

.PHONY: default libs
.PHONY: cleandistdirs cleanscriptstrings clean libsclean distclean

=== locale/Makefile ===
# written by Markus Neteler
# tcl stuff by Cedric Shock
# wxpython by Martin Landa

MODULE_TOPDIR = ..
include $(MODULE_TOPDIR)/include/Make/Other.make

default:
	@if [ "$(HAVE_NLS)" != "" ] ; then \
		echo "Creating translations (= 'make mo')" >&2 ; \
		$(MAKE) mo ; \
		echo "Creating translation statistics (= 'make statistics')" >&2 ; \
		$(MAKE) statistics ; \
	else \
		echo "NLS disabled." ; \
	fi

all:
	@echo 'Usage:'
	@echo '   make pot        create grass.pot (containing original messages)'
	@echo '   make update-po  merge new messages into existing *.po files'
	@echo '   make mo         create the *.mo files'
	@echo '   make verify     verify the *.po files'

# Directory for installing tcl .msg files:
PO_DIR = po

#distinguish between library messages and modules:
LIBDOMAIN = grasslibs
MODDOMAIN = grassmods
WXPYDOMAIN = grasswxpy
DOMAINS = $(LIBDOMAIN) $(MODDOMAIN) $(WXPYDOMAIN)

LIB_POTFILES = find ../lib \( -name "*.c" -o -name "*.py" \) | xargs grep -l "_(\"\|n_(\""
MOD_POTFILES = find ../ -name '*.c' | grep -v '../lib' | xargs grep -l "_(\"\|n_(\""
WXPY_POTFILES = find ../gui/wxpython -name '*.py' | xargs grep -l "_(\"\|n_(\""
#For Python script module messages
MOD_PYFILES = find ../scripts -name '*.py' | xargs grep -l "_(\"\|n_(\""

define po_stats
GISBASE="$(RUN_GISBASE)" $(PYTHON) ./grass_po_stats.py
endef

#The xgettext utility is used to automate the creation of
#portable message files (.po)
pot:
	if [ ! -f ../gui/wxpython/menustrings.py ] ; then \
		echo "Build GRASS before running 'make pot'" >&2 ; \
		exit 1 ; \
	fi
	@rm -f ./templates/*.pot
	@echo "Generating $(LIBDOMAIN)..."
	xgettext --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(LIBDOMAIN).pot `$(LIB_POTFILES)`
	@echo "Generating $(MODDOMAIN)..."
	xgettext --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(MODDOMAIN).pot `$(MOD_POTFILES)`
	xgettext -j --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(MODDOMAIN).pot `$(MOD_PYFILES)` 
	@echo "Generating $(WXPYDOMAIN)..."
	xgettext --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(WXPYDOMAIN).pot `$(WXPY_POTFILES)` 

#merge already existing translations with new messages in POT template file and create new po files:
update-po:
	@for i in $(DOMAINS) ; do \
		if [ "`ls ./po/$$i\_*.po 2>/dev/null`" = "" ] ; then \
		 echo "No $$i.po file found in ./po/ directory. Will create new po files from template." ; \
		 cp ./templates/$$i.pot ./po/$$i.po ; \
		 echo "Created ./po/$$i.po - Rename to ./po/$$i\_LANG.po (with LANG: de, ru, ...)" ; \
		 echo "Then you can translate the messages in this file (e.g with kbabel)" ; \
		fi ;\
	done
	@cd ./po/ ; for po in `ls *_*.po 2>/dev/null` ; do \
		suffix=`echo $$po | cut -d'_' -f2-`; \
		lingua=`basename $$suffix .po`; \
		prefix=`echo $$po | cut -d'_' -f1`; \
		if msgmerge -o $$prefix\_$$suffix.new $$prefix\_$$suffix ../templates/$$prefix.pot; then\
		  mv $$prefix\_$$suffix.new $$prefix\_$$suffix; \
		  echo "Merged new messages into $$prefix\_$$suffix" ; \
		else \
		    echo "Merging failed"; \
		fi \
		done
	@echo "Be careful with SVN commits as .po file updates must be synchronized with the individual translators."

verify:
	@cd ./po/ ; for po in `ls *_*.po 2>/dev/null` ; do \
		echo "----- $$po:" ; \
		msgfmt -c $$po; \
	done
	@rm -f po/messages.mo
	@echo "Note: In case of translations errors to be fixed, edit the respective translation on transifex (and not in SVN)"

statistics:
	$(call po_stats)

define dom_rule
$(1)_FILES := $$(patsubst po/grass$(1)_%.po,$$(MO_DIR)/%/LC_MESSAGES/grass$(1).mo,$$(wildcard po/grass$(1)_*.po))
$$(MO_DIR)/%/LC_MESSAGES/grass$(1).mo: po/grass$(1)_%.po
	@ [ -d $$(MO_DIR)/$$*/LC_MESSAGES ] || $(MKDIR) $$(MO_DIR)/$$*/LC_MESSAGES
	msgfmt --statistics -o $$@ $$<
endef
$(foreach domain,libs mods wxpy,$(eval $(call dom_rule,$(domain))))

$(MSG_DIR)/%.msg: po/grasstcl_%.po
	@ [ -d $(MSG_DIR) ] || $(MKDIR) $(MSG_DIR)
	msgfmt --statistics --tcl -l $* -d $(MSG_DIR)/ $<

MSGFILES := $(patsubst po/grasstcl_%.po,$(MSG_DIR)/%.msg,$(wildcard po/grasstcl_*.po))

#create binary messages files
mo: $(libs_FILES) $(mods_FILES) $(wxpy_FILES) $(MSGFILES)

.PHONY: mo

=== db/db.createdb/Makefile ===

MODULE_TOPDIR = ../..

LIBES = $(DBMILIB) $(GISLIB)
DEPENDENCIES = $(DBMIDEP) $(GISDEP)

PGM = db.createdb

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== display/d.legend.vect/Makefile ===
MODULE_TOPDIR = ../..

PGM = d.legend.vect

LIBES = $(DISPLAYLIB) $(GISLIB) $(SYMBLIB) 
DEPENDENCIES = $(DISPLAYDEP) $(GISDEP) $(SYMBDEP)
EXTRA_INC = $(VECT_INC)
EXTRA_CFLAGS = $(VECT_CFLAGS)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== general/g.ppmtopng/Makefile ===

MODULE_TOPDIR = ../..

PGM = g.ppmtopng
LIBES = $(GISLIB) $(PNGLIB)
DEPENDENCIES = $(GISDEP)

EXTRA_CFLAGS=$(ZLIBINCPATH) $(PNGINC)

include $(MODULE_TOPDIR)/include/Make/Module.make

ifneq ($(USE_PNG),)
default: cmd
endif

=== general/g.rename/Makefile ===

MODULE_TOPDIR = ../..

PGM = g.rename

include $(MODULE_TOPDIR)/include/Make/Module.make

LIBES = $(MANAGELIB) $(RASTERLIB) $(GISLIB)
DEPENDENCIES = $(MANAGEDEP) $(RASTERDEP) $(GISDEP)

default: cmd

=== general/g.version/Makefile ===
MODULE_TOPDIR = ../..

PGM=g.version

# cat the COPYING file, add a c line-break \n at each line end
# and remove the unix newline (see: include/Makefile)

EXTRA_CFLAGS = $(PROJINC) $(GDALCFLAGS) $(GEOSCFLAGS) $(SQLITEINCPATH) \
	-DGRASS_VERSION_NUMBER=\"'$(GRASS_VERSION_NUMBER)'\" \
	-DGRASS_VERSION_DATE=\"'$(GRASS_VERSION_DATE)'\" \
	-DGRASS_VERSION_SVN=\"'$(GRASS_VERSION_SVN)'\" \
	-DGRASS_VERSION_UPDATE_PKG=\"'$(GRASS_VERSION_UPDATE_PKG)'\" \
	-DARCH=\"'$(ARCH)'\"

LIBES = $(GISLIB) $(GEOSLIBS) $(GDALLIBS)
DEPENDENCIES = $(GISDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== imagery/i.eb.hsebal01/Makefile ===
MODULE_TOPDIR = ../..

PGM = i.eb.hsebal01

LIBES = $(RASTERLIB) $(GISLIB) $(MATHLIB)
DEPENDENCIES = $(RASTERDEP) $(GISDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== misc/m.transform/Makefile ===
MODULE_TOPDIR = ../..

PGM = m.transform

LIBES = $(IMAGERYLIB) $(GISLIB) $(MATHLIB)
DEPENDENCIES = $(IMAGERYDEP) $(GISDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== raster/r.out.vrml/Makefile ===
MODULE_TOPDIR = ../..

PGM = r.out.vrml

LIBES = $(RASTERLIB) $(GISLIB)
DEPENDENCIES = $(RASTERDEP) $(GISDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== raster/r.what/Makefile ===
MODULE_TOPDIR = ../..

PGM = r.what

LIBES = $(RASTERLIB) $(GISLIB) $(VECTORLIB)
DEPENDENCIES = $(RASTERDEP) $(GISDEP) $(VECTORDEP)
EXTRA_INC = $(VECT_INC)
EXTRA_CFLAGS = $(VECT_CFLAGS)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== scripts/db.dropcolumn/Makefile ===
MODULE_TOPDIR = ../..

PGM = db.dropcolumn

include $(MODULE_TOPDIR)/include/Make/Script.make

default: script

=== debian/changelog ===
grass (7.6.0-1) unstable; urgency=medium

  * Drop unused lintian override.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Jan 2019 07:25:44 +0100

grass (7.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use grass-gui.maintscript for dpkg-maintscript-helper commands.
  * Update copyright years for GRASS Development Team & Markus Neteler.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Jan 2019 10:25:55 +0100

grass (7.6.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file for GRASS 7.6 releases.
  * Refresh patches.
  * Update copyright file, changes:
    - Update copyright years for copyright holders
    - Add copyright holders
    - Add license & copyright for pavl code
  * Enable zstd support.
  * Enable PDAL support.
  * Add lintian override for spelling-error-in-binary false positive.
  * Drop unused override for hardening-no-fortify-functions.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Dec 2018 14:48:21 +0100

grass (7.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years for GRASS Development Team & Markus Neteler.
  * Use grass-gui.maintscript for dpkg-maintscript-helper commands.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Jan 2019 18:11:33 +0100

grass (7.4.3-2) unstable; urgency=medium

  * Also strip .note section from binaries.
  * Bump Standards-Version to 4.3.0, changes: strip binaries.
  * Fix --with-mysql-includes option with multiple include directories.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Dec 2018 20:42:22 +0100

grass (7.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Nov 2018 07:00:17 +0100

grass (7.4.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop libegl1-mesa-dev build dependency, issue fixed in mesa 18.2.5-2.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Nov 2018 22:19:21 +0100

grass (7.4.2-2) unstable; urgency=medium

  * Add libegl1-mesa-dev to build dependencies for KHR/khrplatform.h.
    GL/glext.h from mesa-common-dev includes this header, but lacks dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Nov 2018 17:51:16 +0100

grass (7.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Oct 2018 07:19:09 +0200

grass (7.4.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Oct 2018 07:21:11 +0200

grass (7.4.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.
  * Enable OpenMP support.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Sep 2018 09:02:45 +0200

=== debian/control ===
Source: grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: autoconf2.13,
               autotools-dev,
               bison,
               debhelper (>= 9),
               dh-python,
               doxygen,
               fakeroot,
               flex,
               graphviz,
               libblas-dev,
               libbz2-dev,
               libcairo2-dev,
               libegl1-mesa-dev,
               libfftw3-dev,
               libfreetype6-dev,
               libgdal-dev (>= 2.0),
               libgeos-dev,
               libjpeg-dev,
               liblapack-dev,
               liblas-c-dev (>= 1.8.0-8~),
               libmotif-dev | lesstif2-dev,
       default-libmysqlclient-dev,
               libncurses5-dev,
               libnetcdf-dev,
               libpdal-dev,
               libpng-dev,
               libpq-dev,
               libproj-dev,
               libreadline-dev,
               libsqlite3-dev,
               libtiff-dev,
               libwxgtk3.0-dev,
               libxmu-dev,
               libzstd-dev,
               lsb-release,
               netcdf-bin,
# install optipng if compressing the PNG images in the programmers' manual
#              optipng,
# proj-bin needed for nad2bin during config
               proj-bin,
               python,
               python-dev,
               python-numpy,
               python-pil,
               python-ply,
               python-wxgtk3.0,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/grass
Vcs-Git: https://salsa.debian.org/debian-gis-team/grass.git
Homepage: http://grass.osgeo.org/

Package: grass
Architecture: all
Section: metapackages
Depends: grass-core,
         grass-gui,
         ${misc:Depends}
Recommends: grass-doc
Suggests: grass-dev
Description: Geographic Resources Analysis Support System (GRASS GIS)
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 Install this virtual package to get a full GRASS system.

Package: grass-core
Architecture: any
Depends: grass-doc,
         ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends}
Recommends: gdal-bin,
# cs2cs used by m.proj, gdalinfo+gdal_translate used by a number of scripts
            proj-bin
Suggests: grass-dev,
          grass-gui,
# used by v.in.e00
          e00compr,
          avce00,
# used by i.spectral
          gnuplot,
# used by v.in.gpsbabel
          gpsbabel,
# used by v.in.garmin
          gpstrans,
# used by NVIZ, d.out.gpsdrive, r.out.mpeg
          netpbm,
# used by v.kridge
          python-rpy2,
          python-termcolor
Breaks: grass (<< 6.4.2-1~)
Provides: ${grass:Provides}
Replaces: grass (<< 6.4.2-1~)
Description: GRASS GIS core components
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the core processing components, but not the GUI.

Package: grass-gui
Architecture: any
Depends: grass-core,
# pyGL needed for wxNviz
         python-opengl,
         python-wxgtk3.0,
         xterm | x-terminal-emulator,
         ${python:Depends},
         ${misc:Depends}
Recommends:
# gs needed for wxPsmap PDF export
            ghostscript,
# PIL needed for wxPsmap preview
            python-matplotlib,
            python-pil
Breaks: grass (<< 6.4.2-1~)
Replaces: grass (<< 6.4.2-1~)
Description: GRASS GIS graphical user interfaces
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the GRASS GUIs.

Package: grass-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: grass,
          grass-dev-doc
Description: GRASS GIS user documentation
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains HTML documentation for the GRASS system.

Package: grass-dev-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: grass
Description: GRASS GIS Programmers' Manual
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the HTML version of the GRASS Programmers' Manual.

Package: grass-dev
Section: devel
Architecture: any
Depends: grass-core (= ${binary:Version}),
# fakeroot used by patches/htmlgen-fakeroot; see changelog entry for 5.7.0+6.0.0beta2-2
         fakeroot,
         libfreetype6-dev,
         libgdal-dev,
         libpq-dev,
         libproj-dev,
         ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
# Subversion is needed by g.extension, a primary motivator for installing the grass-dev pkg
Recommends: subversion
Suggests: grass-dev-doc,
          pkg-config
Description: GRASS GIS development files
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the header files for developing with GRASS.
 Install this package if you wish to develop software that manipulates
 GRASS data sets or install addons using the g.extension module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Disable PIE on Ubuntu where it's still problematic
VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)

ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
  ifneq (,$(filter $(DISTRIBUTION_RELEASE),trusty xenial bionic))
    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
  endif
endif

VERSION=$(shell echo `head -2 $(CURDIR)/include/VERSION` | sed -e 's/ //')
ABI=$(shell echo `head -3 $(CURDIR)/include/VERSION` | sed -e 's/ //g' -e 's/RC/-/')
GRASS_ABI=grass$(ABI)
BASE_NAME=grass$(VERSION)
PKG_NAME=grass

# TODO: fix these
CFLAGS+=-Wno-error=format-security

CFLAGS+=-Wall

TEMPLATES=$(wildcard debian/*.in)

# Use SOURCE_DATE_EPOCH as random seed for reproducible builds
ifdef SOURCE_DATE_EPOCH
	export GRASS_RANDOM_SEED=$(SOURCE_DATE_EPOCH)
endif

versions:
	@echo "Version: $(VERSION)"
	@echo "ABI: $(ABI)"

templates:
	for TEMPLATE in $(TEMPLATES) ; do \
	    sed -e 's/@VERSION@/$(VERSION)/g' -e 's/@ABI@/$(ABI)/g' $$TEMPLATE > `echo $$TEMPLATE | sed 's/.in$$//'` ; \
	done

%:
	dh $@ --with python2 --parallel

override_dh_clean:
	dh_clean build-arch-stamp install-arch-stamp debian/grass-gui.image-file-in-usr-lib.list

	$(RM) lib/proj/nad2bin
	$(RM) tools/timer/main.o
	$(RM) raster/r.terraflow/IOStream/lib/src/libiostream.a
	$(RM) debian/$(BASE_NAME).1
	$(RM) error.log

	# clean doxygen documentation (programming man)
	$(RM) doxygen_sqlite3.db lib/doxygen_sqlite3.db
	$(RM) -r \
		doxygenhtml \
		html latex \
		rfc/html rfc/latex \
		lib/html lib/latex \
		gui/wxpython/html gui/wxpython/latex
	for LIBRARY in \
		db \
		g3d \
		gis \
		gmath \
		gpde \
		ogsf \
		proj \
		python \
		segment \
		vector \
		vector/dglib ; \
	do \
		$(RM) -r lib/$$LIBRARY/html lib/$$LIBRARY/latex ; \
	done

override_dh_auto_clean:
	[ ! -f $(CURDIR)/include/Make/Platform.make ] || $(MAKE) distclean

override_dh_auto_configure: templates
	dh_auto_configure -- \
                    --prefix=/usr/lib \
                    --enable-largefile \
                    --enable-socket \
                    --enable-shared \
                    --with-blas \
                    --with-bzlib \
                    --with-cairo \
                    --with-cxx \
                    --with-freetype \
                    --with-freetype-includes=/usr/include/freetype2 \
                    --with-gdal \
                    --with-geos \
                    --with-lapack \
                    --with-liblas=/usr/bin/liblas-config \
                    --with-motif \
                    --with-mysql \
                    --with-mysql-includes="$(shell mysql_config --include | sed -e 's/-I//g')" \
                    --with-netcdf \
                    --with-nls \
                    --with-odbc \
                    --with-openmp \
                    --with-pdal \
                    --with-postgres \
                    --with-postgres-includes=$(shell pg_config --includedir) \
                    --with-proj-share=/usr/share/proj \
                    --with-python \
                    --with-readline \
                    --with-sqlite \
                    --with-wxwidgets=/usr/bin/wx-config \
                    --with-x \
                    --with-zstd

# This target generates arch-dep stuff, unfortunately most doc requires working bins to
# be properly generated...
override_dh_auto_build-arch: build-arch-stamp
build-arch-stamp:
	dh_auto_build
	chmod 755 debian/fixpaths.sh
	touch $@

override_dh_auto_build-indep: build-arch-stamp
	# generate the Programmers' manual (in HTML)
	$(MAKE) htmldocs-single

	# save ~7mb of disk space by compressing PNG images (but takes a long time)
	##for file in `find debian/tmp/programming-manual/ -iname \*.png` ; do \
	##	optipng -o5 $$file ; \
	##done

override_dh_auto_install-arch: install-arch-stamp
install-arch-stamp:
	# install grass core into debian/tmp
	dh_auto_install -- \
		INST_DIR=$(CURDIR)/debian/tmp/usr/lib/$(BASE_NAME) \
		UNIX_BIN=$(CURDIR)/debian/tmp/usr/bin

	# fix links
	debian/fixpaths.sh $(CURDIR)/debian/tmp debian/tmp

	# delete python compiled bytecode files (maybe dh_python2 takes care of this for us?)
	find debian/tmp/ -type f -name "*.pyc" -delete

	# change section from 1 to .1grass
	mv debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/grass7.1 debian/$(BASE_NAME).1
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1; do \
		n=`basename $$m .1`; mv $$m debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/$$n.1grass; done
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1grass; do \
		sed -i -e 's/^.TH \(.*\) 1/.TH \1 1grass/' "$$m"; done

	# escape minus signs which are command line options not hyphens
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1grass; do \
		sed -i -e 's/\([ ([]\)-\([a-z]\)/\1\\-\2/g' \
			-e 's/\([ []\)--\([a-z]\)/\1\\-\\-\2/g' \
			-e 's/\[-\\fB/[\\-\\fB/' \
			-e 's/\[--\\fB/[\\-\\-\\fB/g' \
			-e 's/"\\fB-\([a-zA-Z0-9]\)/"\\fB\\-\1/' \
			-e 's/"\\fB--\([a-zA-Z0-9]\)/"\\fB\\-\\-\1/' \
			-e 's/\\fI-\([a-zA-Z0-9]\)/\\fI\-\1/g' \
			"$$m"; done

	# adjust from build-server build dir to end-user's install dir
	sed -i -e "s+^\(GRASS_HOME[ ]*=\) .*+\1 /usr/lib/$(BASE_NAME)+" \
		-e "s+^\(RUN_GISBASE[ ]*=\) .*+\1 /usr/lib/$(BASE_NAME)+" \
		debian/tmp/usr/lib/$(BASE_NAME)/include/Make/Platform.make

	# install pkg-config file
	mkdir -p debian/$(PKG_NAME)-dev/usr/share/pkgconfig
	install -m 644 grass.pc debian/$(PKG_NAME)-dev/usr/share/pkgconfig/$(BASE_NAME).pc

	# install icons and desktop file
	mkdir -p debian/tmp/usr/share/icons
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/icons/hicolor debian/tmp/usr/share/icons

	mkdir -p debian/tmp/usr/share/applications
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/applications/grass.desktop debian/tmp/usr/share/applications/$(BASE_NAME).desktop

	# install AppStream metadata
	mkdir -p debian/tmp/usr/share/metainfo
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/metainfo/org.osgeo.grass.appdata.xml debian/tmp/usr/share/metainfo/org.osgeo.grass.appdata.xml

	# install grass wrapper scripts
	install -m 755 debian/x-grass7 debian/tmp/usr/bin/x-$(BASE_NAME)

	ln -fs /usr/lib/$(shell objdump -p /usr/lib/`gdal-config --libs | cut -d' ' -f2 | sed -e 's/-l/lib/'`.so | grep SONAME | cut -d' ' -f18) \
		debian/tmp/usr/lib/$(BASE_NAME)/lib/libgdal.so

	# Remove empty directory
	rmdir debian/tmp/usr/lib/$(BASE_NAME)/gui/wxpython/scripts/

	# Remove files not installed or installed by debhelper
	$(RM) -r debian/tmp/usr/lib/$(BASE_NAME)/AUTHORS \
	         debian/tmp/usr/lib/$(BASE_NAME)/CHANGES \
	         debian/tmp/usr/lib/$(BASE_NAME)/CITING \
	         debian/tmp/usr/lib/$(BASE_NAME)/COPYING \
	         debian/tmp/usr/lib/$(BASE_NAME)/GPL.TXT \
	         debian/tmp/usr/lib/$(BASE_NAME)/INSTALL \
	         debian/tmp/usr/lib/$(BASE_NAME)/REQUIREMENTS.html \
	         debian/tmp/usr/lib/$(BASE_NAME)/config.status \
	         debian/tmp/usr/lib/$(BASE_NAME)/contributors.csv \
	         debian/tmp/usr/lib/$(BASE_NAME)/contributors_extra.csv \
	         debian/tmp/usr/lib/$(BASE_NAME)/translation_status.json \
	         debian/tmp/usr/lib/$(BASE_NAME)/translators.csv \
	         debian/tmp/usr/lib/$(BASE_NAME)/demolocation/

	# Move image files from /usr/lib/$(BASE_NAME) to /usr/share/$(BASE_NAME)
	mkdir -p debian/tmp/usr/share/$(BASE_NAME)/gui
	mv debian/tmp/usr/lib/$(BASE_NAME)/gui/icons/  debian/tmp/usr/share/$(BASE_NAME)/gui/
	mv debian/tmp/usr/lib/$(BASE_NAME)/gui/images/ debian/tmp/usr/share/$(BASE_NAME)/gui/

	find debian/tmp/usr/lib/$(BASE_NAME)/gui/wxpython/ -type f \( -name "*.jpg" -or -name "*.png" \) -print | sort > debian/grass-gui.image-file-in-usr-lib.list

	while read file; do \
		dir=`dirname "$$file" | sed 's/usr\/lib\//usr\/share\//'` ; \
		if [ ! -e "$$dir" ]; then \
			mkdir -p "$$dir" ; \
		fi ; \

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://grass.osgeo.org/grass76/source/ \
grass-([\d\.]*(?:(?:RC|rc|pre|dev|beta|alpha)?\d*))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## grass 7.6.1

=== debian/changelog ===
grass (7.6.1-3build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Aug 2019 09:33:40 +0200

grass (7.6.1-3) unstable; urgency=medium

  * No change rebuild for PDAL mini transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Jul 2019 06:41:53 +0200

grass (7.6.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Disable liblas support, will be removed from Debian.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jul 2019 07:39:11 +0200

grass (7.6.1-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Add patch to fix spelling errors.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 13:30:03 +0200

grass (7.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Mar 2019 06:58:25 +0100

grass (7.6.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Add license & copyright for upstream metadata.
  * Add -DNDEBUG to CFLAGS to remove assert() from executables.
  * Add lintian overrides for file-references-package-build-path &
    pkg-config-references-unknown-shared-library.
  * Drop package name from lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Mar 2019 18:53:20 +0100

grass (7.6.0-2) UNRELEASED; urgency=medium

  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for PROJ 6.0.0 compatibility.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Apr 2019 07:34:30 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
                libgeos-dev,
                libjpeg-dev,
                liblapack-dev,
-               liblas-c-dev (>= 1.8.0-8~),
                libmotif-dev | lesstif2-dev,
        default-libmysqlclient-dev,
                libncurses5-dev,
@@ -52,7 +51,7 @@
                python-wxgtk3.0,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/grass
 Vcs-Git: https://salsa.debian.org/debian-gis-team/grass.git
 Homepage: http://grass.osgeo.org/

## grass 7.8.2

=== imagery/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	i.albedo \
	i.aster.toar \
	i.atcorr \
	i.biomass \
	i.cca \
	i.cluster \
	i.eb.evapfr \
	i.eb.eta \
	i.eb.hsebal01 \
	i.eb.netrad \
	i.eb.soilheatflux \
	i.evapo.mh \
	i.evapo.pm \
	i.evapo.pt \
	i.evapo.time \
	i.emissivity \
	i.find \
	i.gensig \
	i.gensigset \
	i.group \
	i.his.rgb \
	i.landsat.toar \
	i.landsat.acca \
	i.maxlik \
	i.modis.qc \
	i.ortho.photo \
	i.rectify \
	i.rgb.his \
	i.segment \
	i.smap \
	i.target \
	i.topo.corr \
	i.pca \
	i.vi \
	i.fft \
	i.ifft \
	i.zc

PGM = imageryintro

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: htmldir

htmldir: parsubdirs

=== mswindows/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	osgeo4w

include $(MODULE_TOPDIR)/include/Make/Dir.make

EXTRA_CLEAN_FILES = GRASS-Packager.bat GRASS-Installer.nsi

ifneq ($(MINGW),)
default: GRASS-Packager.bat GRASS-Installer.nsi parsubdirs
else
default:
endif	

GRASS-Packager.bat: GRASS-Packager.bat.tmpl
	sed \
	-e 's#@GRASS_VERSION_MAJOR@#$(GRASS_VERSION_MAJOR)#' \
	-e 's#@GRASS_VERSION_MINOR@#$(GRASS_VERSION_MINOR)#' \
	$< > $@

GRASS-Installer.nsi: GRASS-Installer.nsi.tmpl
	sed \
	-e 's#@GRASS_VERSION_SVN@#$(GRASS_VERSION_SVN)#' \
	-e 's#@GRASS_VERSION_MAJOR@#$(GRASS_VERSION_MAJOR)#' \
	-e 's#@GRASS_VERSION_MINOR@#$(GRASS_VERSION_MINOR)#' \
	-e 's#@GRASS_VERSION_RELEASE@#$(GRASS_VERSION_RELEASE)#' \
	-e 's#@ARCH@#$(ARCH)#' \
	$< > $@

=== raster/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	r.basins.fill \
	r.buffer \
	r.buildvrt \
	r.carve \
	r.category \
	r.circle \
	r.clump \
	r.coin \
	r.colors \
	r.colors.out \
	r.composite \
	r.compress \
	r.contour \
	r.cost \
	r.covar \
	r.cross \
	r.describe \
	r.distance \
	r.external \
	r.external.out \
	r.fill.dir \
	r.fill.stats \
	r.flow \
	r.geomorphon \
	r.grow.distance \
	r.gwflow \
	r.his \
	r.horizon \
	r.in.ascii \
	r.in.bin \
	r.in.gdal \
	r.in.gridatb \
	r.in.lidar \
	r.in.mat \
	r.in.png \
	r.in.poly \
	r.in.xyz \
	r.info \
	r.kappa \
	r.latlong \
	r.lake \
	r.li \
	r.mapcalc \
	r.mfilter \
	r.mode \
	r.neighbors \
	r.null \
	r.out.ascii \
	r.out.bin \
	r.out.gdal \
	r.out.gridatb \
	r.out.mat \
	r.out.mpeg \
	r.out.png \
	r.out.pov \
	r.out.ppm \
	r.out.ppm3 \
	r.out.vrml \
	r.out.vtk \
	r.param.scale \
	r.patch \
	r.path \
	r.profile \
	r.proj \
	r.quant \
	r.quantile \
	r.random \
	r.random.cells \
	r.random.surface \
	r.reclass \
	r.recode \
	r.region \
	r.regression.line \
	r.regression.multi \
	r.report \
	r.resamp.bspline \
	r.resamp.filter \
	r.resamp.interp \
	r.resamp.rst \
	r.resamp.stats \
	r.resample \
	r.rescale \
	r.rescale.eq \
	r.ros \
	r.series \
	r.series.accumulate \
	r.series.interp \
	r.relief \
	r.sim \
	r.slope.aspect \
	r.solute.transport \
	r.spread \
	r.spreadpath \
	r.statistics \
	r.stats.zonal \
	r.stats.quantile \
	r.stats \
	r.stream.extract \
	r.sun \
	r.sunhours \
	r.sunmask \
	r.support \
	r.support.stats \
	r.surf.area \
	r.surf.contour \
	r.surf.fractal \
	r.surf.gauss \
	r.surf.idw \
	r.surf.random \
	r.terraflow \
	r.texture \
	r.thin \
	r.tile \
	r.timestamp \
	r.to.rast3 \
	r.to.rast3elev \
	r.to.vect \
	r.topidx \
	r.topmodel \
	r.transect \
	r.univar \
	r.uslek \
	r.usler \
	r.viewshed \
	r.volume \
	r.walk \
	r.water.outlet \
	r.watershed \
	r.what \
	r.what.color

PGM = rasterintro

include $(MODULE_TOPDIR)/include/Make/Dir.make

default:
	$(MAKE) -C r.mapcalc
	$(MAKE) htmldir 

htmldir: parsubdirs

$(HTMLDIR)/r.in.png:
	# no-op - override Html.make rule for .png image files

$(HTMLDIR)/r.out.png:
	# no-op - override Html.make rule for .png image files

=== raster3d/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	r3.cross.rast \
	r3.flow \
	r3.gradient \
	r3.gwflow \
	r3.in.ascii \
	r3.in.bin \
	r3.in.lidar \
	r3.in.v5d \
	r3.info \
	r3.mask \
	r3.mkdspf \
	r3.null \
	r3.neighbors \
	r3.out.ascii \
	r3.out.bin \
	r3.out.netcdf \
	r3.out.v5d \
	r3.out.vtk \
	r3.retile \
	r3.stats \
	r3.support \
	r3.timestamp \
	r3.to.rast \

PGM = raster3dintro

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: htmldir

htmldir: parsubdirs

=== scripts/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	d.correlate \
	d.frame \
	d.out.file \
	d.to.rast \
	d.polar \
	d.rast.edit \
	d.rast.leg \
	d.redraw \
	d.shade \
	d.what.rast \
	d.what.vect \
	db.dropcolumn \
	db.droptable \
	db.in.ogr \
	db.out.ogr \
	db.test \
	db.univar \
	g.extension \
	g.extension.all \
	g.manual \
	g.search.modules \
	i.colors.enhance \
	i.image.mosaic \
	i.in.spotvgt \
	i.oif \
	i.pansharpen \
	i.spectral \
	i.tasscap \
	m.proj \
	r.blend \
	r.buffer.lowmem \
	r.colors.stddev \
	r.drain \
	r.fillnulls \
	r.grow \
	r.import \
	r.in.aster \
	r.in.srtm \
	r.in.wms \
	r.mapcalc.simple \
	r.mask \
	r.out.xyz \
	r.pack \
	r.plane \
	r.reclass.area \
	r.rgb \
	r.shade \
	r.tileset \
	r.unpack \
	r3.in.xyz \
	v.build.all \
	v.centroids \
	v.clip \
	v.db.addcolumn \
	v.db.addtable \
	v.db.join \
	v.db.dropcolumn \
	v.db.droprow \
	v.db.droptable \
	v.db.renamecolumn \
	v.db.reconnect.all \
	v.db.univar \
	v.db.update \
	v.dissolve \
	v.import \
	v.in.e00 \
	v.in.geonames \
	v.in.lines \
	v.in.mapgen \
	v.in.wfs \
	v.rast.stats \
	v.report \
	v.pack \
	v.to.lines \
	v.unpack \
	v.what.strds \
	v.what.vect \
	wxpyimgview

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs

=== db/db.columns/Makefile ===

MODULE_TOPDIR = ../..

LIBES = $(DBMILIB) $(GISLIB)
DEPENDENCIES = $(DBMIDEP) $(GISDEP)

PGM = db.columns

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== db/db.describe/Makefile ===

MODULE_TOPDIR = ../..

LIBES = $(DBMILIB) $(GISLIB)
DEPENDENCIES = $(DBMIDEP) $(GISDEP)

PGM = db.describe

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== db/db.drivers/Makefile ===

MODULE_TOPDIR = ../..

LIBES = $(DBMILIB) $(GISLIB)
DEPENDENCIES = $(DBMIDEP) $(GISDEP)

PGM = db.drivers

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== display/d.rgb/Makefile ===
MODULE_TOPDIR = ../..

PGM = d.rgb

LIBES = $(DISPLAYLIB) $(RASTERLIB) $(GISLIB)
DEPLIBS= $(DISPLAYDEP) $(GISDEP) $(RASTERDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== general/g.dirseps/Makefile ===

MODULE_TOPDIR = ../..

PGM = g.dirseps
LIBES = $(GISLIB)
DEPENDENCIES = $(GISDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== general/g.remove/Makefile ===
MODULE_TOPDIR = ../..

PGM = g.remove

LIBES = $(MANAGELIB) $(RASTERLIB) $(GISLIB)
DEPENDENCIES = $(MANAGEDEP) $(RASTERDEP) $(GISDEP)
EXTRA_INC = $(VECT_INC)
EXTRA_CFLAGS = $(VECT_CFLAGS)

include $(MODULE_TOPDIR)/include/Make/Module.make

ifneq ($(USE_REGEX),)
default: cmd
endif

=== general/g.version/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 EXTRA_CFLAGS = $(PROJINC) $(GDALCFLAGS) $(GEOSCFLAGS) $(SQLITEINCPATH) \
 	-DGRASS_VERSION_NUMBER=\"'$(GRASS_VERSION_NUMBER)'\" \
 	-DGRASS_VERSION_DATE=\"'$(GRASS_VERSION_DATE)'\" \
-	-DGRASS_VERSION_SVN=\"'$(GRASS_VERSION_SVN)'\" \
+	-DGRASS_VERSION_GIT=\"'$(GRASS_VERSION_GIT)'\" \
 	-DGRASS_VERSION_UPDATE_PKG=\"'$(GRASS_VERSION_UPDATE_PKG)'\" \
 	-DARCH=\"'$(ARCH)'\"

=== debian/changelog ===
grass (7.8.2-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:13:52 +0100

grass (7.8.2-1build2) focal; urgency=medium

  * No-change upload to build for Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 18:06:53 +0100

grass (7.8.2-1build1) focal; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:30:42 +0000

grass (7.8.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Dec 2019 20:34:28 +0100

grass (7.8.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Add lintian override for manpage-without-executable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Dec 2019 18:35:50 +0100

grass (7.8.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Dec 2019 13:39:48 +0100

grass (7.8.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix spelling error in patch description.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Nov 2019 06:58:01 +0100

grass (7.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Nov 2019 12:18:45 +0100

grass (7.8.1~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Nov 2019 13:03:34 +0100

grass (7.8.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Oct 2019 05:13:19 +0100

grass (7.8.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes.
  * Switch to wxWidgets GTK 3 implementation.
    (closes: #943440)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Oct 2019 06:20:37 +0200

grass (7.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Recommend both git & subversion for g.extension.
  * Drop unused override for spelling-error-in-binary.
  * Don't define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H, proj.h is used.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Sep 2019 09:31:16 +0200

grass (7.8.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update PIE hardening conditional, trusty is EOL.
  * Update watch file for GRASS 7.8 releases.
  * Update uversion mangle for _ in version.
  * Switch to Python 3.
  * Update upstream metadata for move to GitHub.
  * Update README filename in docs file.
  * Add python3-six to (build) dependencies.
  * Replace subversion Recommends with git for g.extension.
  * Update copyright file, changes:
    - Update copyright years for Supreet Singh
    - Add Shubham Sharma & Marcus D. Hanwell to copyright holders
  * Drop patches applied upstream, refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Aug 2019 19:47:24 +0200

grass (7.6.1-4) unstable; urgency=medium

  * Update PIE hardening conditional, trusty is EOL.
  * Drop unused override for spelling-error-in-binary.
  * No change rebuild with PDAL 2.0.1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2019 19:16:06 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libreadline-dev,
                libsqlite3-dev,
                libtiff-dev,
-               libwxgtk3.0-dev,
+               libwxgtk3.0-gtk3-dev,
                libxmu-dev,
                libzstd-dev,
                lsb-release,
@@ -43,18 +43,19 @@
 #              optipng,
 # proj-bin needed for nad2bin during config
                proj-bin,
-               python,
-               python-dev,
-               python-numpy,
-               python-pil,
-               python-ply,
-               python-wxgtk3.0,
+               python3,
+               python3-dev,
+               python3-numpy,
+               python3-pil,
+               python3-ply,
+               python3-six,
+               python3-wxgtk4.0,
                unixodbc-dev,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/grass
 Vcs-Git: https://salsa.debian.org/debian-gis-team/grass.git
-Homepage: http://grass.osgeo.org/
+Homepage: https://grass.osgeo.org/
 
 Package: grass
 Architecture: all
@@ -78,7 +79,7 @@
 Architecture: any
 Depends: grass-doc,
          ${shlibs:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          ${misc:Depends}
 Recommends: gdal-bin,
 # cs2cs used by m.proj, gdalinfo+gdal_translate used by a number of scripts
@@ -97,8 +98,9 @@
 # used by NVIZ, d.out.gpsdrive, r.out.mpeg
           netpbm,
 # used by v.kridge
-          python-rpy2,
-          python-termcolor
+          python3-rpy2,
+          python3-six,
+          python3-termcolor
 Breaks: grass (<< 6.4.2-1~)
 Provides: ${grass:Provides}
 Replaces: grass (<< 6.4.2-1~)
@@ -116,17 +118,17 @@
 Architecture: any
 Depends: grass-core,
 # pyGL needed for wxNviz
-         python-opengl,
-         python-wxgtk3.0,
+         python3-opengl,
+         python3-wxgtk4.0,
          xterm | x-terminal-emulator,
-         ${python:Depends},
+         ${python3:Depends},
          ${misc:Depends}
 Recommends:
 # gs needed for wxPsmap PDF export
             ghostscript,
 # PIL needed for wxPsmap preview
-            python-matplotlib,
-            python-pil
+            python3-matplotlib,
+            python3-pil
 Breaks: grass (<< 6.4.2-1~)
 Replaces: grass (<< 6.4.2-1~)
 Description: GRASS GIS graphical user interfaces
@@ -180,11 +182,12 @@
          libgdal-dev,
          libpq-dev,
          libproj-dev,
-         ${python:Depends},
+         ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-# Subversion is needed by g.extension, a primary motivator for installing the grass-dev pkg
-Recommends: subversion
+# git is needed by g.extension, a primary motivator for installing the grass-dev pkg
+Recommends: git,
+            subversion
 Suggests: grass-dev-doc,
           pkg-config
 Description: GRASS GIS development files

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)
 
 ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
-  ifneq (,$(filter $(DISTRIBUTION_RELEASE),trusty xenial bionic))
+  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial bionic))
     export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
   endif
 endif
@@ -27,6 +27,8 @@
 
 CFLAGS+=-Wall
 
+CFLAGS+=-DNDEBUG
+
 TEMPLATES=$(wildcard debian/*.in)
 
 # Use SOURCE_DATE_EPOCH as random seed for reproducible builds
@@ -44,7 +46,7 @@
 	done
 
 %:
-	dh $@ --with python2 --parallel
+	dh $@ --with python3 --parallel
 
 override_dh_clean:
 	dh_clean build-arch-stamp install-arch-stamp debian/grass-gui.image-file-in-usr-lib.list
@@ -97,7 +99,6 @@
                     --with-gdal \
                     --with-geos \
                     --with-lapack \
-                    --with-liblas=/usr/bin/liblas-config \
                     --with-motif \
                     --with-mysql \
                     --with-mysql-includes="$(shell mysql_config --include | sed -e 's/-I//g')" \
@@ -220,3 +221,4 @@
 		if [ ! -e "$$dir" ]; then \
 			mkdir -p "$$dir" ; \
 		fi ; \
+		mv "$$file" "$$dir" ; \

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/_/./g,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://grass.osgeo.org/grass78/source/ \
grass-([\d\._]*(?:(?:RC|rc|pre|dev|beta|alpha)?\d*))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
